Skip to main content

UpdateAsset

POST

Update basic TRC-10 token information.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Token issuer's address. (Format: Base58 or Hex)
descriptionstring
Description of the TRC-10 token. (Default: Hex)
urlstring
URL of the official website. (Default: Hex)
new_limitinteger
New free Bandwidth limit for each caller.
new_public_limitinteger
New total free Bandwidth limit for all callers.
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
owner_addressstring
Token issuer's address.
descriptionstring
Description of the TRC-10 token.
urlstring
URL of the official website.
new_limitinteger
Bandwidth limit for each individual caller.
new_public_limitinteger
Total Bandwidth limit for all callers.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/updateasset' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'